## org.eclipse.emf.validation.service
Interface IConstraintListener

    public interface IConstraintListener

Interface implemented by clients who wish to receive notification whenever constraints are changed.

Since:
  1.1

Method Summary
`void` `constraintChanged(ConstraintChangeEvent event)` Notifies me that a constraint change event has taken place.

Method Detail

### constraintChanged

    void constraintChanged(ConstraintChangeEvent event)

  Notifies me that a constraint change event has taken place. The event provides information about the constraint that has changed and the operation that took place (registration, enablement etc.)

  Parameters:
    `event` - provides information about the constraint change

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.